Bug 474017 - vtk : Unowned directories
vtk : Unowned directories
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vtk (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 14:39 EST by Michael Schwendt
Modified: 2010-06-28 06:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:52:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-12-01 14:39:54 EST
One or more directories are not included within this
package and/or its sub-packages:

=> vtk-devel-5.0.4-25.fc10.i386 (rawhide-development-i386)
/usr/lib/vtk-5.0

=> vtk-qt-5.0.4-25.fc10.i386 (rawhide-development-i386)
/usr/lib/qt-3.3/plugins/designer
    provided by: qt3-designer-3.3.8b-17.fc10.i386

=> vtk-tcl-5.0.4-25.fc10.i386 (rawhide-development-i386)
/usr/lib/vtk-5.0

=> vtk-testing-5.0.4-25.fc10.i386 (rawhide-development-i386)
/usr/lib/vtk-5.0

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Milos Jakubicek 2009-05-22 10:54:30 EDT
Arg...another example why unowned directories are Bad(TM), just run into a damn problem because of this: the package left /usr/lib64/vtk-5.0 after upgrade to 5.2, while octaviz still takes the empty 5.0 dir in the spec file:

-DVTK_DIR:PATH=%(/usr/bin/find %{_libdir} -maxdepth 1 -type d -name vtk-?.?)

(I'll fix this later if Axel [still alive?] won't.)
Comment 2 Michael Schwendt 2009-05-22 11:02:06 EDT
Yeah, that's very similar to the 1.1.4 issue mentioned here:
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 3 Axel Thimm 2009-05-23 14:40:49 EDT
(In reply to comment #1)
> Arg...another example why unowned directories are Bad(TM), just run into a damn
> problem because of this: the package left /usr/lib64/vtk-5.0 after upgrade to
> 5.2, while octaviz still takes the empty 5.0 dir in the spec file:
> 
> -DVTK_DIR:PATH=%(/usr/bin/find %{_libdir} -maxdepth 1 -type d -name vtk-?.?)
> 
> (I'll fix this later if Axel [still alive?] won't.)  

I'm still alive and will fix this, although you are welcome to do so as well in rawhide and I'll backpackage it.

But w/o questioning that this is a real bug, the method in octaviz seems broken as well. What if there will be a rename of /vtk-?.? to simply /vtk, or if there is a two digit release like 5.10 or a subrelease like 5.5.1?

Maybe the vtk package should have at least a symlink /vtk -> /vtk-x.y or something similar to make dependent packages more reliable.
Comment 4 Bug Zapper 2009-06-09 06:04:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Axel Thimm 2009-07-23 05:58:01 EDT
(In reply to comment #0)
> => vtk-qt-5.0.4-25.fc10.i386 (rawhide-development-i386)
> /usr/lib/qt-3.3/plugins/designer
>     provided by: qt3-designer-3.3.8b-17.fc10.i386

That probably suggests that vtk-qt should depend on qt*-designer, doesn't it?
Comment 6 Michael Schwendt 2009-07-23 14:14:54 EDT
Well, that would "fix" the unowned directory, but would you want to have vtk-qt pull in the Qt Designer app only for a directory entry?

> http://koji.fedoraproject.org/koji/rpminfo?rpmID=1375071
>
> /usr/lib/libQVTK.so.5.4
> /usr/lib/libQVTK.so.5.4.2
> /usr/lib/qt4/plugins/designer
> /usr/lib/qt4/plugins/designer/libQVTKWidgetPlugin.so

With Qt 4, Designer has moved into qt-devel even.

[...]

Note that Tom Callaway has started with fixing duplicate directory ownership in packages recently as it will confuse RPM. I don't find anything wrong with letting vtk-qt own the directory, but future changes in the packaging guidelines may forbid that.
Comment 7 Bug Zapper 2010-04-27 08:26:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:52:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.